# Get BankTransfer record Retrieve a specific BankTransfer record by number with all related data. Endpoint: GET /public/v1/bank-transfers/{record_number}/ Version: 1.0.0 ## Path parameters: - `record_number` (integer, required) ## Query parameters: - `search` (string,null) - `company_id` (array,null) - `number` (array,null) - `start_date` (string,null) - `end_date` (string,null) - `debit_bank_account_number` (array,null) - `credit_bank_account_number` (array,null) - `record_status` (string,null) Enum: "draft", "posted", "archived" - `approval_status` (array,null) ## Response 200 fields (application/json): - `created_by` (object,null) Schema for audit actor information. - `created_by.actor_type` (string,null) - `created_by.email` (string,null) - `created_by.first_name` (string,null) - `created_by.last_name` (string,null) - `created_by.timestamp` (string,null) - `updated_by` (object,null) Schema for audit actor information. - `internal_id` (integer, required) - `number` (integer, required) - `date` (string, required) Posting date (GL date) - the date when the transaction is recorded in the general ledger - `transaction_date` (string, required) Transaction date (inception date) - the date when the transaction actually occurred - `company_id` (integer, required) - `company_name` (string, required) - `company_currency` (string, required) - `debit_bank_account_number` (integer,null, required) - `credit_bank_account_number` (integer,null, required) - `amount` (string, required) Transfer amount - `exchange_rate` (string, required) - `memo` (string, required) - `record_status` (string, required) Enum: "draft", "posted", "archived" - `currency_iso_4217_code` (array) ## Response 400 fields (application/json): - `success` (boolean) - `errors` (object, required) ## Response 404 fields (application/json): - `success` (boolean) - `errors` (object, required) ## Response 500 fields (application/json): - `success` (boolean) - `errors` (object, required)